Uploadsv1Customer Documents
Create customer file
Upload a file for a specific customer. Requires update permission on the customer and create permission on uploads. `customer_id` in the path is authoritative; `document_type` must be a key from `uploads.documents` in config.
POST
/v1/uploads/customer/{customer_id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
customer_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/uploads/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "file_name": "bylaws.pdf", "content": "JVBERi0xLjQKJeLjz9MKMyAwIG9iago8PC9MZW5ndGggND4+", "document_type": "bylaws", "approval_needed": 1, "signature_needed": 0, "active": true }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"file_name": "string",
"document_type": "bylaws",
"approval_status": "pending",
"approval_needed": 0.1,
"approval_made": 0.1,
"signature_status": "pending",
"signature_needed": 0.1,
"signature_made": 0.1,
"content_length": 0,
"file_extension": "string",
"active": true,
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4"
}{
"code": "uploads.invalid_file_extension",
"message": "Invalid file extension"
}{
"code": "uploads.unauthorized",
"message": "Unauthorized"
}